Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class CallerMethodInfo

    java.lang.Object
      org.jboss.aop.JoinPointInfo
          org.jboss.aop.CallerMethodInfo

Direct Known Subclasses:
  MethodByConInfo, MethodByMethodInfo

public abstract class CallerMethodInfo
extends JoinPointInfo

Comment

Version:
  $Revision: 1.3 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.aop.JoinPointInfo
`factories, factoryChain, interceptorChain, interceptors, joinpoint`

Constructor Summary
`` | `CallerMethodInfo(Advisor advisor, Class calledClass, Method m, long calledMethodHash, Interceptor[] in)`
`protected` | `CallerMethodInfo(CallerMethodInfo other)`

Method Summary
`Class` | `getCalledClass()`
`long` | `getCalledMethodHash()`
`Class` | `getCallingClass()`
`Method` | `getMethod()`

Methods inherited from class org.jboss.aop.JoinPointInfo
`clear, copy, equalChains, getAdvisor, getFactories, getFactoryChain, getInterceptorChain, getInterceptors, getJoinpoint, hasAdvices, initialiseInterceptors, internalGetJoinpoint, setAdvisor, setFactories, setFactoryChain, setInterceptorChain, setInterceptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallerMethodInfo

    public CallerMethodInfo(Advisor advisor,
                            Class calledClass,
                            Method m,
                            long calledMethodHash,
                            Interceptor[] in)

### CallerMethodInfo

    protected CallerMethodInfo(CallerMethodInfo other)

Method Detail

### getCallingClass

    public Class getCallingClass()

### getCalledClass

    public Class getCalledClass()

### getMethod

    public Method getMethod()

### getCalledMethodHash

    public long getCalledMethodHash()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.